package cn.bunny.file;

import lombok.SneakyThrows;
import org.junit.jupiter.api.Test;

import java.nio.file.Files;
import java.nio.file.Path;
import java.time.Duration;
import java.time.LocalDateTime;

public class FilesTest {
    // 需要保证复制目录下文件不存在，否则会报错
    @SneakyThrows
    @Test
    void copyFileTest() {
        // 开始复制时间
        LocalDateTime start = LocalDateTime.now();

        // 源文件路径
        Path sourcePath = Path.of("D:\\dir\\source\\video.ts");
        // 目标文件路径
        Path targetPath = Path.of("D:\\dir\\target\\video.ts");

        Files.copy(sourcePath, targetPath);

        // 计算时间差
        LocalDateTime end = LocalDateTime.now();
        Duration duration = Duration.between(start, end);
        System.out.println("复制耗时: " + duration.toMillis() + " 毫秒");// 复制耗时: 522 毫秒
    }

    @SneakyThrows
    @Test
    void moveFileTest() {
        // 开始复制时间
        LocalDateTime start = LocalDateTime.now();

        // 源文件路径
        Path sourcePath = Path.of("D:\\dir\\source\\video.ts");
        // 目标文件路径
        Path targetPath = Path.of("D:\\dir\\target\\video.ts");

        Files.move(sourcePath, targetPath);

        // 计算时间差
        LocalDateTime end = LocalDateTime.now();
        Duration duration = Duration.between(start, end);
        System.out.println("复制耗时: " + duration.toMillis() + " 毫秒");// 复制耗时: 0 毫秒
    }
}
